%global srcname tornado

Name:           python3-%{srcname}
Version:        4.5.3
Release:        1%{?dist}
Summary:        Scalable, non-blocking web server and tools

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://www.tornadoweb.org
Source0:        https://github.com/tornadoweb/tornado/archive/v%{version}/%{srcname}-%{version}.tar.gz
# Patch to use system CA certs instead of certifi
Patch0:         python-tornado-cert.patch
# Patch to ignore all DeprecationWarnings
Patch2:         python-tornado-test-deprecation.patch

%description
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Scalable, non-blocking web server and tools
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
Requires:       python%{python3_pkgversion}-pycurl
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.


%package doc
Summary:        Examples for python-tornado
Group:          Documentation

%description doc
Tornado is an open source version of the scalable, non-blocking web
server and and tools. This package contains some example applications.


%prep 
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .cert
%patch2 -p1 -b .test-deprecation
# remove shebang from files
sed -i.orig -e '/^#!\//, 1d' *py tornado/*.py tornado/*/*.py


%build
%py3_build


%install
%py3_install


%check
%{__python3} -m tornado.test.runtests --verbose


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-%{version}-*.egg-info

%files doc
%license LICENSE
%doc demos


%changelog
* Fri Oct 08 2021 Orion Poplawski <orion@nwra.com> - 4.5.3-1
- Update to 4.5.3

* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 4.4.2-2
- Rebuilt to change main python from 3.4 to 3.6

* Thu Nov 17 2016 Orion Poplawski <orion@cora.nwra.com> - 4.4.2-1
- Update to 4.4.2

* Fri Sep 16 2016 Orion Poplawski <orion@cora.nwra.com> - 4.4.1-1
- Update to 4.4.1

* Thu Feb 18 2016 Orion Poplawski <orion@cora.nwra.com> - 4.3-1
- Initial EPEL package
